Unispec Docs
ApiRegistryVersions

Publish draft as an immutable version

POST
/projects/{owner}/{project}/publish

Authorization

bearerAuth
AuthorizationBearer <token>

Firebase ID token (Google sign-in, etc.)

In: header

Path Parameters

owner*string
project*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/projects/string/string/publish" \  -H "Content-Type: application/json" \  -d '{    "version": "string"  }'
{  "version": {    "id": "string",    "project_id": "string",    "version": "string",    "spec_digest": "string",    "status": "string",    "release_notes": "string",    "published_by": "string",    "published_at": "2019-08-24T14:15:22Z",    "deprecated": true,    "deprecated_at": "2019-08-24T14:15:22Z",    "deprecation_reason": "string"  },  "validation": {    "status": "pass",    "errors": [      {        "code": "string",        "message": "string",        "path": "string",        "severity": "error"      }    ],    "warnings": [      {        "code": "string",        "message": "string",        "path": "string",        "severity": "error"      }    ],    "compatibility": {      "property1": true,      "property2": true    },    "created_at": "2019-08-24T14:15:22Z"  }}
{  "error": {    "code": "validation_failed",    "message": "string",    "details": [      {        "code": "string",        "message": "string",        "path": "string",        "severity": "error"      }    ]  }}
{  "error": {    "code": "string",    "message": "string"  }}